Bug 234489 - games/lincity-ng: fix STAGEDIR misuse, minor improvements
Summary: games/lincity-ng: fix STAGEDIR misuse, minor improvements
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Mahdi Mokhtari
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-29 14:25 UTC by Dmitry Marakasov
Modified: 2019-01-03 23:53 UTC (History)
0 users

See Also:
mmokhi: maintainer-feedback+


Attachments
Patch (1.89 KB, patch)
2018-12-29 14:25 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov freebsd_committer 2018-12-29 14:25:39 UTC
Created attachment 200602 [details]
Patch

- Add LICENSE
- Add missing USES=gl, gnome
- Switch to USES=localbase
- Fix incorrect STAGEDIR usage, which makes it saved in the binary
Comment 1 commit-hook freebsd_committer 2019-01-02 17:09:16 UTC
A commit references this bug:

Author: mmokhi
Date: Wed Jan  2 17:09:05 UTC 2019
New revision: 489092
URL: https://svnweb.freebsd.org/changeset/ports/489092

Log:
  games/lincity-ng: Fix STAGEDIR misuse also cleanup and improvements
  Add LICENSE block
  Add better build-time flags for `configure` and CPPFLAGS
  Add missing USES=gl, gnome
  Switch to USES=localbase
  Fix incorrect STAGEDIR usage, which makes it saved in the produced binary

  PR:		234489
  Submitted by:	amdmi3
  Sponsored by:	The FreeBSD Foundation

Changes:
  head/games/lincity-ng/Makefile
  head/games/lincity-ng/files/patch-mk-jam-install.jam
Comment 2 Mahdi Mokhtari freebsd_committer freebsd_triage 2019-01-02 17:10:34 UTC
(In reply to commit-hook from comment #1)
Thanks dear Dmitry :)
Committed with a little minor change.
Comment 3 commit-hook freebsd_committer 2019-01-03 23:53:08 UTC
A commit references this bug:

Author: mmokhi
Date: Thu Jan  3 23:52:32 UTC 2019
New revision: 489234
URL: https://svnweb.freebsd.org/changeset/ports/489234

Log:
  MFH: r489092

  games/lincity-ng: Fix STAGEDIR misuse also cleanup and improvements
  Add LICENSE block
  Add better build-time flags for `configure` and CPPFLAGS
  Add missing USES=gl, gnome
  Switch to USES=localbase
  Fix incorrect STAGEDIR usage, which makes it saved in the produced binary

  PR:		234489
  Submitted by:	amdmi3
  Sponsored by:	The FreeBSD Foundation

  Approved by:	portmgr (bugfix blanket)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/games/lincity-ng/Makefile
  branches/2019Q1/games/lincity-ng/files/patch-mk-jam-install.jam